Update a staff member
Needs: Staff, Read-write
Changes only the fields you send. The response is the updated staff member.
Important:
422for an unsupported field.
curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/staff/123" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"phone": "0400 111 222",
"status": "Active"
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/staff/123"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"phone": "0400 111 222",
"status": "Active"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/staff/123", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"phone": "0400 111 222",
"status": "Active"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"phone": "0400 111 222",
"status": "Active"
}`)
req, err := http.NewRequest("PATCH", "https://app.imploy.com.au/api/integrations/v1/staff/123", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/staff/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"phone": "0400 111 222",
"status": "Active"
}'
response = http.request(request)
puts response.body
{
"data": {
"id": 31,
"first_name": "Example",
"last_name": "Worker",
"email": "example.worker@example.com",
"phone": "0400 000 000",
"status": "Active",
"created_at": "2026-01-12T03:20:41.000000Z",
"updated_at": "2026-02-03T08:05:10.000000Z"
}
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Record not found."
}
{
"message": "Too many requests."
}
/staff/{id}Target server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The staff member's user id.
The media type of the request body
Up to 100 characters.
Up to 100 characters.
Up to 40 characters, or null.
Active, Inactive, Pending, Non-compliant or Archived.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The staff member's user id.
Body
Up to 100 characters.
Up to 100 characters.
Up to 40 characters, or null.
Active, Inactive, Pending, Non-compliant or Archived.
Responses
OK